
import os,sys
from distutils.core import setup, Extension
from distutils.sysconfig import get_python_inc
import numpy

numdir = os.path.dirname(numpy.__file__)+"/core/include/numpy"

setup(name="fotometry",version="5.2",
        description="Python Interface to the C bindings of Stetson's ApPhot",
        author="Daniel D. Kelson",
        author_email="kelson@ociw.edu",
        url="http://www.ociw.edu/~kelson",
        extra_path="fotometry",
        ext_modules=[Extension("fotometry",
                ["fotometry_wrap.c"],
                include_dirs=[numdir],
                library_dirs=[sys.prefix+"/lib","./","/usr/local/lib"],
                libraries=["foto","m","gfortran"],
                        )])

